<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/Cpp/Emulator/CompilerList.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.Cpp.Emulator.CompilerList</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../Cpp.html" >Cpp</a>.<a href="../Emulator.html" >Emulator</a>
</div><div class="class-name">class CompilerList

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/Cpp/Emulator.py.html" target="detail">../Synopsis/Parsers/Cpp/Emulator.py</a></div> <div class="xref"><a href="../../../../../XRef/xref16.html#Synopsis.Parsers.Cpp.Emulator.CompilerList" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line281" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="CompilerList-inheritance" src="CompilerList-inheritance.png" hspace="8" vspace="8" border="0" usemap="#CompilerList-inheritance_map" />
<map name="CompilerList-inheritance_map"></map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="CompilerList.html#_query" >_query</a></span>(<span class="variable">self</span>, <span class="variable">language</span>, <span class="variable">compiler</span>, <span class="variable">flags</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref16.html#Synopsis.Parsers.Cpp.Emulator.CompilerList._query" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line297" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Construct and return a CompilerInfo object for the given compiler.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="compilers">compilers</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line288" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="no_cache">no_cache</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line289" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <span class="name"><a href="CompilerList.html#user_emulations_file" >user_emulations_file</a></span></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line283" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">The cache file.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">filename</span> = <span class="value">''</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref16.html#Synopsis.Parsers.Cpp.Emulator.CompilerList.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line286" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="list">list</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.CompilerList.list" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line292" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="add_default_compilers">add_default_compilers</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref16.html#Synopsis.Parsers.Cpp.Emulator.CompilerList.add_default_compilers" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line318" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="CompilerList.html#load" >load</a></span>(<span class="variable">self</span>, <span class="variable">filename</span> = <span class="value">''</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.CompilerList.load" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line326" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Loads the compiler infos from a file.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="save">save</a>(<span class="variable">self</span>, <span class="variable">filename</span> = <span class="value">''</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.CompilerList.save" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line366" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="CompilerList.html#refresh" >refresh</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.CompilerList.refresh" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line389" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Refreshes the compiler list.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="find">find</a>(<span class="variable">self</span>, <span class="variable">language</span>, <span class="variable">compiler</span>, <span class="variable">flags</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.CompilerList.find" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line405" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Protected Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_query">_query</a>(<span class="variable">self</span>, <span class="variable">language</span>, <span class="variable">compiler</span>, <span class="variable">flags</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref16.html#Synopsis.Parsers.Cpp.Emulator.CompilerList._query" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line297" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Construct and return a CompilerInfo object for the given compiler.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Class attributes Details:</div>
<div class="item"><div class="synopsis"> <a class="name" id="user_emulations_file">user_emulations_file</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line283" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">The cache file.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="load">load</a>(<span class="variable">self</span>, <span class="variable">filename</span> = <span class="value">''</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.CompilerList.load" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line326" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Loads the compiler infos from a file.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="refresh">refresh</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref17.html#Synopsis.Parsers.Cpp.Emulator.CompilerList.refresh" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/Cpp/Emulator.py.html#line389" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Refreshes the compiler list.
        Regenerate all non-custom compilers without destroying custom
        compilers.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:02 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
